Subject: Re: [Unbearable] -tokbind-protocol-04: verifying signature(s) in TokenBindingMessage.TokenBinding?

From: =JeffH <[email-masked]>
Date: Tue, 29 Mar 2016 11:41:16 -0700

on Fri, 4 Mar 2016 16:49:14, Andrei replied..
 >> ... TBPROTO is already tiptoe'g into the "multiple communicating
 >> parties" morass (aka "federation").

 > It did, with the goal of defining all the Token Binding types we
 > currently know of in one document.
 >
 >> ... then maybe that TB type ought to be defined and IANA-regisgtered
 >> in -tokbind-https -- in that way it seems all mention of the "referred"
 >> TB concept can be excised from TBPROTO.
 >
 > My preference is to do this, if I have to, rather than bringing more
 > federation language into TBROTO.

OK, and I note that you added this comment to PR#16..

<https://github.com/TokenBinding/Internet-Drafts/pull/16#issuecomment-201360367>

..which says..

 > I feel that the detailed discussion of the various TB types and their
 > interaction belongs in the HTTPSTB (and potentially, other documents that
 > describe the use of TB with various application protocols). My thinking
 > is that multiple federation schemes exist (even within the HTTP protocol
 > alone), so hard-coding this in TBPROTO may limit future use of the TB
 > protocol.

To which I agree.

=JeffH